Summary: Cluster administration tools  
Name: piranha
Version: 0.9.0alpha
Release: 3%{?dist}
URL: http://git.fedoraproject.org/git/piranha.git
License: GPL+ and GPLv2+
Group: System Environment/Base 

# The source for this package was pulled from upstream's git. Use the
# following commands to generate tarball
# git clone http://git.fedorahosted.org/git/piranha.git
# git checkout -b foo %version_tag% eg. v0.8.5
# tar -cvzf piranha-%{version}.tar.gz piranha
Source0: piranha-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: popt-devel

Requires: ipvsadm >= 1.14, httpd, php, logrotate

Requires(pre): shadow-utils
Requires(post): chkconfig
Requires(preun): chkconfig initscripts
Requires(postun): initscripts

%description 
Various tools to administer and configure the Linux Virtual Server as well as
heartbeating and failover components.  The LVS is a dynamically adjusted
kernel routing mechanism that provides load balancing primarily for web
and ftp servers though other services are supported.


%prep
%setup -n piranha -q

%build
#make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" all
make %{?_smp_mflags} all

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT


%pre
/usr/sbin/groupadd -g 60 -r -f piranha >/dev/null 2>&1 ||:
/usr/sbin/useradd -u 60 -g 60 -d /etc/sysconfig/ha -r   \
        -s /sbin/nologin piranha >/dev/null 2>&1 ||:

%preun
if [ $1 = 0 ]; then
        /sbin/service pulse stop >/dev/null 2>&1
        /sbin/chkconfig --del pulse
fi
if [ $1 = 0 ]; then
        /sbin/service piranha-gui stop >/dev/null 2>&1
        /sbin/chkconfig --del piranha-gui
fi

%post 
/sbin/chkconfig --add pulse
/sbin/chkconfig --add piranha-gui

%postun
if [ $1 = 1 ] ; then
        /sbin/service pulse condrestart >/dev/null 2>&1
        /sbin/service piranha-gui condrestart >/dev/null 2>&1
fi


%files
%defattr(-,root,root)
%doc sample.cf AUTHORS COPYING Changelog README docs
%{_sbindir}/*
%{_initddir}/*

%{_datadir}/piranha
%attr(-,root,piranha) %config(noreplace) %{_sysconfdir}/piranha
%config(noreplace) %{_sysconfdir}/sysconfig/pulse

%config(noreplace) %{_sysconfdir}/logrotate.d/piranha

%attr(0755,root,piranha) %dir %{_localstatedir}/log/piranha

%{_mandir}/*/*

%changelog
* Mon Feb 12 2010 Marek Grac <mgrac@redhat.com> 0.9.0alpha-3
- Initial Fedora release

